Skip to main content
GET
Get Edge Script Statistics

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Scopes

User
AccessKey
UserApi
AccessKey
SubuserAPICompute
AccessKey
SubuserAPIDns
AccessKey
SubuserCompute
AccessKey
SubuserManage
AccessKey
SubuserAPIManage
AccessKey
ScopedApiKey
AccessKey
User
bearer
UserApi
bearer
SubuserAPICompute
bearer
SubuserAPIDns
bearer
SubuserCompute
bearer
SubuserManage
bearer
SubuserAPIManage
bearer
ScopedApiKey
bearer

Path Parameters

id
integer<int64>
required

The ID of the Edge Script for which the statistics will be returned

Query Parameters

dateFrom
string<date-time> | null

(Optional) The start date of the statistics. If no value is passed, the last 30 days will be returned

dateTo
string<date-time> | null

(Optional) The end date of the statistics. If no value is passed, the last 30 days will be returned

loadLatest
boolean
default:false

(Optional) Load most recent data as soon as it's available

hourly
boolean
default:false

(Optional) If true, the statistics data will be returned in hourly groupping.

Response

Returns the statistics for the Edge Script with the given ID

TotalRequestsServed
integer<int64>
TotalCpuUsed
number<double>
TotalMonthlyCost
number<decimal>
AverageCpuTimePerExecution
number<double>
RequestsServedChart
object | null
AverageCpuTimeChart
object | null
TotalCpuTimeChart
object | null